Subject: [mpls] draft-raza-mpls-oam-ipv6-rao

From: Gregory Mirsky <[email-masked]>
Date: Tue, 30 Sep 2014 00:04:07 +0000

Dear All,
this is very useful work, thank you. I think that it will be useful to clarify the RFC 4379 in regard to use of Router Alert option in the IP header referencing specifically IPv6 Router Alert Option for MPLS OAM value. E.g. the first paragraph of the section 4.3 can be extended by:
In case of IPv4 control plane, the generic Option Value 0x0 [RFC2113] SHOULD be used. In case of IPv6 control plane, the allocated through this document IPv6 Router Alert Option value for MPLS OAM MUST be used.
Similarly, text of the first paragraph of the Section 4.5 of RFC 4379 may be updated to clarify use of the new RAO value in IPv6 case:
... then the IP header MUST contain the Router Alert IP option. In case of IPv4 control plane, the generic Option Value 0x0 [RFC2113] SHOULD be used. In case of IPv6 control plane, the allocated through this document IPv6 Router Alert Option value for MPLS OAM MUST be used. If the reply is sent ...

                Regards,
                                Greg

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 30 Sep 2014 01:28:07 +0000

Thank you Greg for the review and insightful comments!

I think you point out a useful clarification to make explicit -- at the same time, the approach we took in draft-raza-mpls-oam-ipv6-rao is to define the IPv6 RAO usage only and not any IPv4 clarifications. The document is also not updating RFC 4379.

One approach we could take to address this is to:
1. Update RFC 4379
2. Add a small section with these updates. SOmething like this (borrowing heavily from your text):

~~~
4. Updates to RFC 4379.

[RFC 4379] specifies the use of the Router Alert option in the IP header. Sections 4.3 and 4.5 of [RFC 4379] are updated with the following addition, for every time in which the Router Alert IP option is used: "In case of an IPv4 header, the generic Router Alert Option Value 0x0 [RFC2113] SHOULD be used. In case of an IPv6 header, the IPv6 Router Alert Option value allocated through this document  for MPLS OAM MUST be used."
~~~

But I do wonder if we want to keep the document as IPv6-specific as possible.

Thoughts?

Thanks,

Carlos.

On Sep 29, 2014, at 8:04 PM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear All,
this is very useful work, thank you. I think that it will be useful to clarify the RFC 4379 in regard to use of Router Alert option in the IP header referencing specifically IPv6 Router Alert Option for MPLS OAM value. E.g. the first paragraph of the section 4.3 can be extended by:
In case of IPv4 control plane, the generic Option Value 0x0 [RFC2113] SHOULD be used. In case of IPv6 control plane, the allocated through this document IPv6 Router Alert Option value for MPLS OAM MUST be used.
Similarly, text of the first paragraph of the Section 4.5 of RFC 4379 may be updated to clarify use of the new RAO value in IPv6 case:
… then the IP header MUST contain the Router Alert IP option. In case of IPv4 control plane, the generic Option Value 0x0 [RFC2113] SHOULD be used. In case of IPv6 control plane, the allocated through this document IPv6 Router Alert Option value for MPLS OAM MUST be used. If the reply is sent …

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 30 Sep 2014 06:00:14 +0000

Hi Carlos,
the most expedient response ever!
I think that the new section is the best way to demonstrate importance and applicability of the new value.

                Regards,
                                Greg

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Monday, September 29, 2014 6:28 PM
To: Gregory Mirsky
Cc: [email-masked]; [email-masked]
Subject: Re: draft-raza-mpls-oam-ipv6-rao

~~~
4. Updates to RFC 4379.

Thoughts?

Thanks,

Carlos.

Dear All,

                Regards,
                                Greg